//////////////////////////////////////////////////////////////////////////////
//   Package:          CAPD
//   Subpackage:
/// @addtogroup capd
/// @{

/////////////////////////////////////////////////////////////////////////////
/// @file doubleFun.h
///
/// This file contains definitions of 'double versions' of functions typical for intervals
///
///  The reason for these definitions is to provide common interface
///  to be used in various templates
///
/// @author Tomasz Kapela   @date 03-10-2007
/////////////////////////////////////////////////////////////////////////////

// Copyright (C) Tomasz Kapela 2006



#ifndef _CAPD_CAPD_DOUBLEFUN_H_ 
#define _CAPD_CAPD_DOUBLEFUN_H_ 


inline int toInt(double d)
{
  return  static_cast<int>(d);
}

inline double toDouble(double d)
{
  return d;
}

inline long int toLongInt(double d)
{
  return static_cast<long int>(d);
}

inline bool subset(double A_small, double A_big)
{
   return ( A_small == A_big );
}

inline bool subsetInterior(double A_small, double A_big)
{
   return false;
}

inline bool isZero(double x)
{
  return (x==0.0);
}

inline bool isSingular(double x)
{
  return (x==0.0);
}

inline double left(double x)
{
  return x;
}

inline double right(double x)
{
  return x;
}

inline double leftBound(double x)
{
  return x;
}

inline double rightBound(double x)
{
  return x;
}

inline double mid(double x)
{
  return x;
}

inline long mid(long x)
{
  return x;
}

inline int Mid( int x)
{
  return x;
}


#endif // _CAPD_CAPD_DOUBLEFUN_H_ 
