/// @addtogroup capd
/// @{

/////////////////////////////////////////////////////////////////////////////
/// @file myc.h
///
/// @author The CAPD Group
/////////////////////////////////////////////////////////////////////////////

// Copyright (C) 2000-2005 by the CAPD Group.
//
// This file constitutes a part of the CAPD library, 
// distributed under the terms of the GNU General Public License.
// Consult  http://capd.wsb-nlu.edu.pl/ for details. 

#ifndef _CAPD_CAPD_MYC_H_ 
#define _CAPD_CAPD_MYC_H_ 

#include "capd/capd/minmax.h"

    /* Statement macros */

#define BEGIN {
#define END }
#define LOOP for(;;){
#define ENDLOOP ;}
#define IF if
#define THEN {
#define ELSE ;}else{
#define ENDIF ;}
#define REPEAT do{
#define UNTIL(x) }while(!(x))
#define WHILE(x) while(x){
#define ENDWHILE ;}
#define loop for(;;){
#define endloop ;}

     /* General constants */

#define VDIM 3

     /* Type definitions */

typedef short int SINT;
typedef int INT;
typedef long DINT;
typedef unsigned char BYTE;
typedef unsigned short WORD;
typedef unsigned long DWORD;
typedef float REAL;
typedef double DREAL;
typedef DREAL VECTOR[VDIM];


#undef SGN
#undef ABS
#define MAX(a,b) ((a)>(b) ? (a) : (b))
#define MIN(a,b) ((a)>(b) ? (b) : (a))
#define ABS(a) ((a)>0 ? (a) : -(a))
#define SGN(a) ((a)>0 ? 1 : ((a)<0 ? -1 : 0))
#endif // _CAPD_CAPD_MYC_H_ 

/// @}
