/// @addtogroup vectalg
/// @{

/////////////////////////////////////////////////////////////////////////////
/// @file vectalglib.h
///
/// @author The CAPD Group
/////////////////////////////////////////////////////////////////////////////

// Copyright (C) 2000-2005 by the CAPD Group.
//
// This file constitutes a part of the CAPD library, 
// distributed under the terms of the GNU General Public License.
// Consult  http://capd.wsb-nlu.edu.pl/ for details. 


#ifndef _CAPD_VECTALG_VECTALGLIB_H_ 
#define _CAPD_VECTALG_VECTALGLIB_H_ 

double power(int val,int ile);
// necessary for the Borland compiler
#include <math.h>
inline int sqrt(int x)
{
   return ::sqrt(x);
}

#include "capd/interval/DoubleInterval.h"

#include "capd/vectalg/Dimension.h"
#include "capd/vectalg/Vector.h"
#include "capd/vectalg/Matrix.h"
#include "capd/vectalg/Norm.h"
#include "capd/matrixAlgorithms/floatMatrixAlgorithms.hpp"
#include "capd/matrixAlgorithms/intMatrixAlgorithms.hpp"

typedef capd::vectalg::Vector<int,DIM> ZVector;
typedef capd::vectalg::Vector<double,DIM> DVector;
typedef capd::vectalg::Vector<interval,DIM> IVector;

typedef capd::vectalg::Matrix<double,DIM,DIM> DMatrix;
typedef capd::vectalg::Matrix<interval,DIM,DIM> IMatrix;

typedef capd::vectalg::Norm<IVector,IMatrix> Norm;
typedef capd::vectalg::EuclNorm<IVector,IMatrix> EuclNorm;
typedef capd::vectalg::MaxNorm<IVector,IMatrix> MaxNorm;
typedef capd::vectalg::SumNorm<IVector,IMatrix> SumNorm;
typedef capd::vectalg::EuclLNorm<IVector,IMatrix> EuclLNorm;
typedef capd::vectalg::MaxLNorm<IVector,IMatrix> MaxLNorm;
typedef capd::vectalg::SumLNorm<IVector,IMatrix> SumLNorm;

#endif // _CAPD_VECTALG_VECTALGLIB_H_ 

/// @}
